import { useContext } from 'react';
import { AppContext } from 'service/state';

const AlertMessages = () => {

  const { messages, removeMessage } = useContext(AppContext);

  return <>
    {messages.map((message, index) => (
      <div className={`alert alert-${message.color} alert-dismissible`} role="status" aria-label="status message" key={index}>
        <button type="button" role="button" className="close" data-dismiss="alert" aria-label="close" onClick={() => {
          removeMessage(index);
        }}>
          <span aria-hidden="true">×</span>
        </button>
          <h2 className="sr-only">status message</h2>
          <p>{Drupal.t(message.text)}</p>
      </div>
    ))}
  </>;

}

export default AlertMessages;
